<?php
session_start();  //start the session
require_once('model.php');
if(isset($_POST['cmd']) && $_POST['cmd'] == 'login') {
    // check that the user can login
    $user = $_POST['username'];
    $pass = $_POST['password'];
    
    $model = new Model();
    
    try {
        $login = $model->verify_login($user,$pass);
        // $login is true
        // so the user is authenticated
        //setcookie('loggedin', 'yes');
        $_SESSION['loggedin'] = true;
    } catch (Exception $e) {
        header('Location: login.php');
    }
    
    //login succeeded so go to the first page
    header('Location: page1.php');
    
} else {
    // they didn't submit the form
    header('Location: login.php');
}
?>